Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 710874 - x11-misc/grsync-1.2.6 : fails to build with -fno-common or gcc-10
Summary: x11-misc/grsync-1.2.6 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-26 17:12 UTC by Toralf Förster
Modified: 2020-02-27 10:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.36 KB, text/plain)
2020-02-26 17:12 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,183.52 KB, text/plain)
2020-02-26 17:12 UTC, Toralf Förster
Details
environment (environment,15.22 KB, text/plain)
2020-02-26 17:12 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,40.84 KB, application/x-bzip)
2020-02-26 17:12 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.69 KB, application/x-bzip)
2020-02-26 17:12 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,8.65 KB, application/x-bzip)
2020-02-26 17:12 UTC, Toralf Förster
Details
x11-misc:grsync-1.2.6:20200225-225531.log (x11-misc:grsync-1.2.6:20200225-225531.log,27.36 KB, text/plain)
2020-02-26 17:12 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-26 17:12:35 UTC
/usr/include/glib-2.0/glib/gmain.h:575:8: note: declared here
  575 | void   g_get_current_time                 (GTimeVal       *result);
      |        ^~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc  -Wall -rdynamic -O2 -pipe -march=native -fno-common -falign-functions=32:25:16  -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -o grsync main.o callbacks.o -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype   -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: callbacks.o:(.bss+0x948): multiple definition of `main_window'; main.o:(.bss+0x38): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: callbacks.o:(.bss+0x930): multiple definition of `icon'; main.o:(.bss+0x20): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-20200221-171645

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
2)	JamVM JDK 2.0.0 [jamvm]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
  [2]   jamvm 
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 25 Feb 2020 21:37:16 +0000

emerge -qpvO x11-misc/grsync
[ebuild  N    ] x11-misc/grsync-1.2.6
Comment 1 Toralf Förster gentoo-dev 2020-02-26 17:12:38 UTC
Created attachment 615964 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-26 17:12:41 UTC
Created attachment 615966 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-26 17:12:44 UTC
Created attachment 615968 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-26 17:12:48 UTC
Created attachment 615970 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-26 17:12:51 UTC
Created attachment 615972 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-26 17:12:53 UTC
Created attachment 615974 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-02-26 17:12:56 UTC
Created attachment 615976 [details]
x11-misc:grsync-1.2.6:20200225-225531.log
Comment 8 Larry the Git Cow gentoo-dev 2020-02-27 10:44:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac40df4823d30e3be6a5a39a5908ad2852f9e041

commit ac40df4823d30e3be6a5a39a5908ad2852f9e041
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2020-02-27 10:38:18 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2020-02-27 10:44:03 +0000

    x11-misc/grsync: fix build with -fno-common
    
    Closes: https://bugs.gentoo.org/710874
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 x11-misc/grsync/files/grsync-1.2.6-gcc-10.patch | 36 +++++++++++++++++++++++++
 x11-misc/grsync/grsync-1.2.6.ebuild             |  4 ++-
 2 files changed, 39 insertions(+), 1 deletion(-)